RAND(3)

NAME
rand, srand - bad random number generator

SYNOPSIS
#include <stdlib.h>
void
srand(unsigned int seed);
int
rand(void);
int
rand_r(unsigned int *seed);

DESCRIPTION
These interfaces are obsoleted by random(3).

The rand() function computes a sequence of pseudo-random integers in the range of 0 to RAND_MAX (as defined by the header file <stdlib.h>).

The srand() function sets its argument as the seed for a new sequence of pseudo-random numbers to be returned by rand(). These sequences are repeatable by calling srand() with the same seed value.

If no seed value is provided, the functions are automatically seeded with a value of 1.

The rand_r() is a thread-safe version of rand(). Storage for the seed must be provided through the seed argument, and needs to have been initialized by the caller.

SEE ALSO
arc4random(3), rand48(3), random(3)

STANDARDS
The rand() and srand() functions conform to ansiC.

The rand_r() function conforms to p1003.1-2008.